php 5.4 sous debian 8 ( jessie )

Parfois on a le besoin de rester sous d’ancienne version de php, sans pour autant ne pas profiter d’une version plus récente de debian donc :

1- Ajout des clé suivantes :
wget dotdeb.org/dotdeb.gpg
apt-key add dotdeb.gpg

2- Ajout dans sources.list :
deb http://dotdeb.infogerance-linux.fr/ wheezy all
deb http://debian.infogerance-linux.fr wheezy main

3- Création du fichier php54.pref dans /etc/apt/preferences.d :
Package: *
Pin: release o=packages.dotdeb.org,n=jessie
Pin-Priority: 600

Package: php5
Pin: release o=packages.dotdeb.org,n=wheezy
Pin-Priority: 650

4- et enfin :
aptitude update && aptitude upgrade && aptitude install php5